package com.xintong.visualinspection.service;

import java.util.List;

import com.xintong.visualinspection.bean.Team;
import com.xintong.visualinspection.bean.User;

/**
 * 
 *
 * TeamService
 * 
 * tiger
 * tiger
 * 2017年5月4日 上午10:41:40
 * 
 * @version 1.0.0
 *
 */
public interface TeamService {
    public List<Team> getAll();
    public Team getById(Long id);
    public List<Team> getByDeptId(Long deptId);
    public List<Team> getList(Team team);
    public void insert(Team team);
    public void update(Team team);
    public void delete(Long id);
    public List<Team> getTeamByName(Team team);
    public Team getDetailsById(Team team);
    public List<User> getTeamPersonByUserClassid(Long id);
}
